Subject: Re: bug#14471: 24.1.50; GTK3 shows resize handle which cannot be disabled

From: Jan Djärv <[email-masked]>
Date: Sun, 26 May 2013 10:02:55 +0200

Hello.

25 maj 2013 kl. 17:33 skrev Peter Feigl <[email-masked]>:

> Start "emacs -Q" that was compiled with --with-x-toolkit=gtk3 from bzr.
> You should see a resizing triangle button in the lower right-hand
> corner, as in http://www.nexoid.at/tmp/emacs-triangle.jpg
> 
> This resizing button is useless on all tiling window managers. If you
> remove the check for GTK 3 from gtkutil.c (~ line 1159), things work
> fine again (and I believe this check is erroneous anyway, why only
> disable it on GTK != 3?). After recompiling, the resulting emacs -Q
> looks like this: http://www.nexoid.at/tmp/emacs-no-triangle.jpg
> 

The reason for disabling for Gtk+ 2 is clearly explained in the comment.

> It would be great if this could be fixed in emacs bzr.

You can try to disable it with css, that seems to work for some people:

In ~/.config/gtk-3.0/gtk.css insert the following:

* {
    -GtkWindow-resize-grip-default: false;
}

> 
> The machine I'm sending this bug report from is *not* the same machine I
> tested this on.
> 

Why?

	Jan D.